
#include "FileList.h"
using namespace std;

FileList::FileList()
{
  nextId = 0;
}

FileList::~FileList()
{
  this->clear();
}

void FileList::addFile(string file)
{
  bool found = false;
  for(unsigned int i = 0; i < fileList.size(); i++)
    {
      if(file == fileList[i]->file)
	{
	  fileList[i]->nrOfCopies++;
	  found = true;
	  break;
	}
    }

  if(!found)
    {
      fileInfo* fi = new fileInfo;
      fi->file = file;
      fi->nrOfCopies = 1;
      fi->id = nextId++;
      fileList.push_back(fi);
    }
}

string FileList::getFileName(int position)
{
  return fileList[position]->file;
}

unsigned int FileList::getNrOfCopys(int position)
{
  return fileList[position]->nrOfCopies;
}

unsigned int FileList::getId(int position)
{
  return fileList[position]->id;
}

unsigned int FileList::size()
{
  return fileList.size();
}

void FileList::clear()
{
  for(unsigned int i = 0; i < fileList.size(); i++)
    delete fileList[i];
  fileList.clear();
}

unsigned int FileList::getNextId()
{
  return nextId;
}

void FileList::remove(unsigned int pos)
{
  if(fileList[pos]->nrOfCopies == 1)
    {
      delete fileList[pos];
      deque<fileInfo*>::iterator iter = fileList.begin();
      fileList.erase(iter + pos);
    }
  else
    fileList[pos]->nrOfCopies--;
}

ostream& operator<<(ostream& os, FileList& fl)
{
  for(unsigned int i = 0; i < fl.size(); i++)
    os << fl.getFileName(i)
       << "\t(" << fl.getNrOfCopys(i) << ")" << endl;
  
  return os;
}
