
#include "StringHandling.h"
using namespace std;

// Removes leading whitespaces
void rmLeadWs(string &s)
{
  if(s != "")
    {
      while(s.find(' ') == 0)
	s = s.substr(1, s.length());
    }

  return;
}

// Removes trailing whitespaces
void rmTrailWs(string &s)
{
  if(s != "")
    {
      // rfind() will return the position of the character starting from 0
      // length() will return the length of the string (ie 0 = "")
      while(s.rfind(' ') == s.length() - 1)  // -1 due to the comment above
	s = s.substr(0, s.length() - 1); // Throw the last char away (ws)
    }

  return;
}

// Remove all comments (everything behind "//") from a string
void rmComments(string &row)
{
  if(row.find("//") != string::npos)
    {
      unsigned int pos = row.find("//");
      row = row.substr(0, pos);
    }
  return;
}


// Split a string on wordDelim & put the parts in a deque
deque<string> split(string &s, const string &wordDelim)
{
  deque<string> wordList;
  unsigned int pos = s.find(wordDelim);
  while((s.find(wordDelim) != string::npos) && (pos != s.length() - 1))
    {
      string word = s.substr(0, pos);
      rmLeadWs(word);
      rmTrailWs(word);
      s = s.substr(pos + wordDelim.length(), s.length());
      wordList.push_back(word);
      pos = s.find(wordDelim);
    }
  
  // If we did have a wordDelim, the last word wont have been added
  // If we didn't have a wordDelim we wont have added even the single word
  rmLeadWs(s);
  rmTrailWs(s);
  wordList.push_back(s);
  
  return wordList;
}
