
#ifndef Strings_H
#define Strings_H

#include <string>

// The .VocaTest
std::string settingString =
"// These settings can also be entered into the vocfiles directly"
"\n// The settings from this file will only be used if the vocfile"
"\n// does not contain the respective settings."
"\n"
"\n"
"\n// The delimeter used to separate languages"
"\nlangDelim = \" | \""
"\n"
"\n// The delimeter for separating words/sentences of the same language"
"\nwordDelim = \"  \""
"\n"
"\n// The number of retrys you should get"
"\nnrOfRetrys = \"1\""
"\n"
"\n// The directory in which you wish to keep your vocfiles"
"\n// (won't work without the finishing '/')"
"\nvocDir = \"path/to/my/vocDir/\""
"\n"
"\n// Set this to yes if you want vocatest to start looking for vocs in"
"\n// a specific directory (ie if you want to use the vocDir)"
"\nuseVocDir = \"no\"";


// The helpfile :-)
std::string helpString =
"\nAvailable commands:"
"\n$abort                      - Abort currently running test"
"\nappend [file]               - Appends a new vocfile to the current test"
"\nbuildvoc [file]             - Create a small example vocfile"
"\nhelp                        - Display this help"
"\nlist                        - List the currently loaded words"
"\nlistfiles                   - List the currently loaded vocfiles"
"\nload [file]                 - Unloads all currently loaded vocfiles and loads a new one"
"\nrandomize                   - All following tests will be performed in random order"
"\nsave [file]                 - Saves the currently loaded vocfile(s) to a new file"
"\ntest (failed) (strict)      - Perform a test on the loaded vocfile(s)"
"\ntestbackw (failed) (strict) - Perform a \"backward\" test on the loaded vocfile(s)"
"\nquit, exit                  - Quit VocaTest"
"\nunappend [file]             - Unappends a loaded file";

// The sample vocfile
std::string sampleFile =
"// An example of a vocfile for VocaTest\n"
"\n"
"Anything that is not a valid voc will be ignored\n"
"This means that VocaTest will (as far as I can see) never refuse to load a\n"
"(text) file. It will just skip all lines it doesn't understand.\n"
"\n"
"// Everything after // is a comment. Use these to add comments on the\n"
"// same line as a voc.\n"
"//\n"
"// The file is organised as:\n"
"// word or sentence in own language | word or sentence in foreign language\n"
"// another word in own language | with translation\n"
"//\n"
"// You can enter several translations of a single word in both lang1 and lang2\n"
"// The '' sign is the default to delimeter, but you can change this to whatever\n"
"// you like.\n"
"// word 1  word 2 | trans 1  trans 2  trans 3\n"
"//\n"
"//\n"
"// You get the idea, right?\n"
"// As you can see I've decided to use the '|' and '' signs as delimeters.\n"
"// These are the default delimeters\n"
"//\n"
"// You can change all delimiters by adding special settings to your vocfiles\n"
"// or in a file called .VocaTest in your home directory. Please browse through\n"
"// that file and change the settings to suit you.\n"
"//\n"
"// Some words below. English | Swedish.\n"
"hello  hi | hej  hejsan \n"
"planet of the apes | apornas planet\n"
"pizza | pizza\n"
"chewing gum | tuggummi // this is a comment";

// Startup string
std::string startupString =
"Welcome to VocaTest 2.0\n"
"Author: Olof Holmgren - oloho217@student.liu.se\n"
"License: GPL";

#endif
