
#include "VocList.h"
using namespace std;

VocList::VocList()
{
  srand(time(0));
  rnd = false;
}

VocList::~VocList()
{
  this->clear();
}

void VocList::addVoc(VocPair* voc)
{
  vocList.push_back(voc);
}

VocPair* VocList::getVoc(unsigned int position)
{
  return vocList[position];
}

unsigned int VocList::size()
{
  return vocList.size();
}

void VocList::clear()
{
  for(unsigned int i = 0; i < vocList.size(); i++)
    delete vocList[i];
  vocList.clear();
}

void VocList::randomize()
{
  if(isRandom())
    {
      unsigned int pos1, pos2;
      VocPair* temp;
      for(unsigned int i = 0; i < (vocList.size() / 2); i++)
	{
	  pos1 = rand() % vocList.size();
	  pos2 = rand() % vocList.size();
	  
	  temp = vocList[pos1];
	  vocList[pos1] = vocList[pos2];
	  vocList[pos2] = temp;
	}
    }
  else
    rnd = true;
}

bool VocList::isRandom()
{
  return rnd;
}

void VocList::remove(unsigned int pos)
{
  std::deque<VocPair*>::iterator iter = vocList.begin();
  delete vocList[pos];
  vocList.erase(iter + pos);
}

string VocList::toString(const string& wDel, const string& lDel)
{
  string ret = "";
  for(unsigned int i = 0; i < vocList.size(); i++)
    ret += vocList[i]->toString(wDel, lDel) + "\n";

  return ret;
}

ostream& operator<<(ostream& os, VocList& vl)
{
  for(unsigned int i = 0; i < vl.size(); i++)
    os << *vl.getVoc(i) << endl;

  return os;
}
