
#include "VocPair.h"
using namespace std;

VocPair::VocPair(const deque<string>& lang1start, const deque<string>& lang2start,
		 const unsigned int& givenId)
{
  lang1 = lang1start;
  lang2 = lang2start;
  id = givenId;
  passed = false;
}

string VocPair::getQuestion(const bool& backw)
{
  if(backw)
    return lang2[rand() % lang2.size()]; // Backwards test!
  else
    return lang1[rand() % lang1.size()]; // Normal test!
}

deque<string> VocPair::getQuestions(const bool& backw)
{
  if(backw)
    return lang2; // Backwards test!
  else
    return lang1; // Normal test!
}

deque<string> VocPair::getAnswers(const bool& backw)
{
  if(backw)
    return lang1; // Backwards test!
  else
    return lang2; // Normal test!
}

string VocPair::getStringAnswers(const bool& backw)
{
  deque<string> sd;
  
  if(backw)
    sd = lang1;
  else
    sd = lang2;

  string manyWords = "";
  for(unsigned int i = 0; i < sd.size() - 1; i++) // Add the first n-1 words with delim
    manyWords += sd[i] + " or ";
  
  if(sd.size() >= 1) // Add the last word without the delim after it
    manyWords += sd[sd.size() - 1];
  
  return manyWords;
}

unsigned int VocPair::getId()
{
  return id;
}

bool VocPair::getPassed()
{
  return passed;
}

void VocPair::setPassed(const bool& value)
{
  passed = value;
}

string VocPair::toString(const string& wDel, const string& lDel)
{
  string manyWords = "";
  if(lang1.size() >= 1)
    for(unsigned int i = 0; i < lang1.size() - 1; i++)
      manyWords += lang1[i] + wDel;
  
  // Add the last word without the delim after it
  manyWords += lang1[lang1.size() - 1];
  
  manyWords += lDel;
  
  if(lang2.size() >= 1)
    for(unsigned int i = 0; i < lang2.size() - 1; i++)	
      manyWords += lang2[i] + wDel;
  
  // Add the last word without the delim after it
  return manyWords += lang2[lang2.size() - 1];
}

ostream& operator<<(ostream& os, VocPair vp)
{
  return os << vp.toString(", ", " = ");
}
