
#ifndef VocPair_H
#define VocPair_H

#include <string>
#include <deque>
#include <iostream>

class VocPair
{
 public:
  VocPair(const std::deque<std::string>& lang1start,
	  const std::deque<std::string>& lang2start,
	  const unsigned int& id);

  std::string getQuestion(const bool& backw);
  std::deque<std::string> getQuestions(const bool& backw);
  std::deque<std::string> getAnswers(const bool& backw);
  std::string getStringAnswers(const bool& backw);
  bool getPassed();
  void setPassed(const bool& value);
  unsigned int getId();
  std::string toString(const std::string& wDel,
		       const std::string& lDel);
  friend std::ostream& operator<<(std::ostream&, VocPair vp);

 private:
  std::deque<std::string> lang1;
  std::deque<std::string> lang2;
  unsigned int id;
  bool passed;
};
#endif
